FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202111301700.p0.ga75236d.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202111301700.p0.ga75236d.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a75236d OS_GIT_VERSION=4.6.0-202111301700.p0.ga75236d.assembly.stream-a75236d SOURCE_DATE_EPOCH=1615839502 SOURCE_GIT_COMMIT=a75236dc5a0ad8bc058a3f1e5f38adb1c70af1c4 SOURCE_GIT_TAG=a75236d SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.6.0.20211130.171945
ENV __doozer=update BUILD_RELEASE=202111301700.p0.ga75236d.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202111301700.p0.ga75236d.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a75236d OS_GIT_VERSION=4.6.0-202111301700.p0.ga75236d.assembly.stream-a75236d SOURCE_DATE_EPOCH=1615839502 SOURCE_GIT_COMMIT=a75236dc5a0ad8bc058a3f1e5f38adb1c70af1c4 SOURCE_GIT_TAG=a75236d SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator/cluster-kube-storage-version-migrator-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_kube-storage-version-migrator-operator_*.yaml* /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-storage-version-migrator-operator" \
        com.redhat.component="ose-cluster-kube-storage-version-migrator-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-storage-version-migrator" \
        release="202111301700.p0.ga75236d.assembly.stream" \
        io.openshift.build.commit.id="a75236dc5a0ad8bc058a3f1e5f38adb1c70af1c4" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-storage-version-migrator-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-storage-version-migrator-operator/commit/a75236dc5a0ad8bc058a3f1e5f38adb1c70af1c4" \
        version="v4.6.0"

